void init_data_word(int x) {
  int x0;
  int x1;
  int x2;
  int x3;
  x0 = x & 0xff;
  x1 = (x >> 8) & 0xff;
  x2 = (x >> 16) & 0xff;
  x3 = (x >> 24) & 0xff;
  data_stream[data_stream_idx] = x0;
  data_stream_idx = data_stream_idx + 1; 
  data_stream[data_stream_idx] = x1;
  data_stream_idx = data_stream_idx + 1; 
  data_stream[data_stream_idx] = x2;
  data_stream_idx = data_stream_idx + 1; 
  data_stream[data_stream_idx] = x3;
  data_stream_idx = data_stream_idx + 1; 
  return;
}

void init_data_stream(
  int x0, int x1, int x2, int x3, int x4, int x5, int x6, int x7,
  int x8, int x9, int x10, int x11, int x12, int x13, int x14, int x15) {
  init_data_word(x0);
  init_data_word(x1);
  init_data_word(x2);
  init_data_word(x3);
  init_data_word(x4);
  init_data_word(x5);
  init_data_word(x6);
  init_data_word(x7);
  init_data_word(x8);
  init_data_word(x9);
  init_data_word(x10);
  init_data_word(x11);
  init_data_word(x12);
  init_data_word(x13);
  init_data_word(x14);
  init_data_word(x15);
  return;
}
